Package org.springframework.util.xml

# Class SimpleNamespaceContext

java.lang.Object
org.springframework.util.xml.SimpleNamespaceContext

All Implemented Interfaces:
  `NamespaceContext`

public class SimpleNamespaceContext extends Object implements NamespaceContext
Simple `javax.xml.namespace.NamespaceContext` implementation. Follows the standard `NamespaceContext` contract, and is loadable via a `java.util.Map` or `java.util.Properties` object

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`SimpleNamespaceContext()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bindDefaultNamespaceUri(String namespaceUri)`
Bind the given namespace as default namespace.
`void`
`bindNamespaceUri(String prefix, String namespaceUri)`
Bind the given prefix to the given namespace.
`void`
`clear()`
Remove all declared prefixes.
`Iterator<String>`
`getBoundPrefixes()`
Return all declared prefixes.
`String`
`getNamespaceURI(String prefix)`
`String`
`getPrefix(String namespaceUri)`
`Iterator<String>`
`getPrefixes(String namespaceUri)`
`void`
`removeBinding(String prefix)`
Remove the given prefix from this context.
`void`
`setBindings(Map<String,String> bindings)`
Set the bindings for this namespace context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleNamespaceContext

public SimpleNamespaceContext()

## Method Details

### getNamespaceURI

public String getNamespaceURI(String prefix)

Specified by:
  `getNamespaceURI` in interface `NamespaceContext`

### getPrefix

@Nullable public String getPrefix(String namespaceUri)

Specified by:
  `getPrefix` in interface `NamespaceContext`

### getPrefixes

public Iterator<String> getPrefixes(String namespaceUri)

Specified by:
  `getPrefixes` in interface `NamespaceContext`

### setBindings

public void setBindings(Map<String,String> bindings)
Set the bindings for this namespace context. The supplied map must consist of string key value pairs.

### bindDefaultNamespaceUri

public void bindDefaultNamespaceUri(String namespaceUri)
Bind the given namespace as default namespace.

Parameters:
  `namespaceUri` - the namespace uri

### bindNamespaceUri

public void bindNamespaceUri(String prefix, String namespaceUri)
Bind the given prefix to the given namespace.

Parameters:
  `prefix` - the namespace prefix
  `namespaceUri` - the namespace URI

### removeBinding

public void removeBinding(@Nullable String prefix)
Remove the given prefix from this context.

Parameters:
  `prefix` - the prefix to be removed

### clear

public void clear()
Remove all declared prefixes.

### getBoundPrefixes

public Iterator<String> getBoundPrefixes()
Return all declared prefixes.